// como a classe .btn tá servindo apenas como 'base genérica', e não será de fato usada para estilizar elementos do html, ela pode ser usada como um placeholder, que servirá no scss apenas de base genérica e não terá o seletor renderizado no css
// diferença de utilidade p/ mixins e placeholders:
// mixins: aceitam passagem de argumentos e blocos, que podem ser alterados. as propriedades das regras css renderizadas com mixins, assim, ficam variáveis.
// placeholder: terá propriedades e valores fixos e faz com que tds seletores em que for usado sejam selecionados conjuntamente
%btn {
  min-width: 150px;
  padding: 10px 20px;
}
.btn-confirm {
  @extend %btn;
  background-color: green;
  color: white;
}
.btn-cancel {
  @extend %btn;
  background-color: red;
  color: white;
}
